Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMoveGenerator.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMoveGenerator.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMoveGenerator.cs	(revision 16476)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("b72b4f30-8cdc-4bc1-ad1b-41f160ff103e")]
   /// <summary>
   /// An interface which represents an operator for generating moves.
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMoveMaker.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMoveMaker.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMoveMaker.cs	(revision 16476)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("8c220537-2993-4666-8b49-a4c87fd7f6a3")]
   public interface IMoveMaker : IOperator {
     ILookupParameter<DoubleValue> QualityParameter { get; }
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMoveOperator.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMoveOperator.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMoveOperator.cs	(revision 16476)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("65af3d33-528d-4554-a430-bd2daf42860a")]
   /// <summary>
   /// The basic interface that marks all move operators. Derived interfaces
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiAnalyzer.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiAnalyzer.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiAnalyzer.cs	(revision 16476)
@@ -22,5 +22,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Fossil;
+
 namespace HeuristicLab.Optimization {
+  [StorableType("7f691603-fb68-4ea0-8085-d7f01df378e6")]
   /// <summary>
   /// An interface which represents a multi analysis operator.
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiMoveGenerator.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiMoveGenerator.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiMoveGenerator.cs	(revision 16476)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("86e85d2f-7cfd-482b-8473-da3bef38f017")]
   public interface IMultiMoveGenerator : IMoveGenerator {
     IValueLookupParameter<IntValue> SampleSizeParameter { get; }
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiNeighborhoodShakingOperator.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiNeighborhoodShakingOperator.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiNeighborhoodShakingOperator.cs	(revision 16476)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("740caa52-1f3c-4bfe-a2f9-f59e4c547992")]
   public interface IMultiNeighborhoodShakingOperator : IOperator {
     IValueLookupParameter<IntValue> CurrentNeighborhoodIndexParameter { get; }
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveEvaluator.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveEvaluator.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveEvaluator.cs	(revision 16476)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("b904a6dc-3c57-4428-9ca6-d4dc8cf6f717")]
   /// <summary>
   /// An interface which represents an evaluation operator for multi-objective optimization problems.
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveHeuristicOptimizationProblem.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveHeuristicOptimizationProblem.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveHeuristicOptimizationProblem.cs	(revision 16476)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("03be07f9-f827-4292-a06c-c25621836a5e")]
   /// <summary>
   /// An interface to represent a multi-objective optimization problem.
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveOperator.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveOperator.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveOperator.cs	(revision 16476)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HEAL.Fossil;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Optimization {
+  [StorableType("9928146a-f8eb-490c-a468-a66435185e27")]
   /// <summary>
   /// This is only a marker interface to prevent operators that expect to work with multiple quality values
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveSelector.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveSelector.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveSelector.cs	(revision 16476)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("df0370eb-6483-4bf9-a18f-dae937c32f4f")]
   /// <summary>
   /// An interface which represents a selection operator for selecting solutions of multi-objective optimization problems.
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IOptimizer.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IOptimizer.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IOptimizer.cs	(revision 16476)
@@ -22,6 +22,8 @@
 using System.Collections.Generic;
 using HeuristicLab.Core;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("c5a27124-f02a-4695-a90c-d8162ee58642")]
   /// <summary>
   /// Interface to represent optimizers such as algorithms, batch runs, or experiments.
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IParticleCreator.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IParticleCreator.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IParticleCreator.cs	(revision 16476)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("59e9ace8-9cd7-4722-b00f-6ad288350c9f")]
   /// <summary>
   /// Interface to represent an operator that generates a particle. 
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IParticleUpdater.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IParticleUpdater.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IParticleUpdater.cs	(revision 16476)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("c3880aca-187c-4a63-adf4-a6f46bd6e5e0")]
   /// <summary>
   /// Interface to represent an operator that updates a particle 
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IPathRelinker.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IPathRelinker.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IPathRelinker.cs	(revision 16476)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("806e0460-65de-41ec-9131-cf16300f3f36")]
   /// <summary>
   /// An interface which represents an operator for path relinking.
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IProblem.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IProblem.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IProblem.cs	(revision 16476)
@@ -23,6 +23,8 @@
 using System.Collections.Generic;
 using HeuristicLab.Core;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("e16ad337-8c18-4c29-a893-e83f671e804c")]
   /// <summary>
   /// Interface to represent an optimization problem.
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IQualityComparator.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IQualityComparator.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IQualityComparator.cs	(revision 16476)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("d8322962-ab8a-4ae0-b66f-48247083c153")]
   public interface IQualityComparator {
     ILookupParameter<DoubleValue> LeftSideParameter { get; }
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IReducer.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IReducer.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IReducer.cs	(revision 16476)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("afe4e404-1c0a-45ea-9856-f5dbec32be7e")]
   /// <summary>
   /// An interface which represents a reduction opertor.
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IReplacer.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IReplacer.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IReplacer.cs	(revision 16476)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("2aaf9cd7-c5dc-48d0-b59d-5801e152b19e")]
   /// <summary>
   /// Interface to mark operators that can be used as replacers.
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IRun.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IRun.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IRun.cs	(revision 16476)
@@ -24,6 +24,8 @@
 using HeuristicLab.Collections;
 using HeuristicLab.Core;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("bd021976-74c7-4e40-af7e-e10e316af64c")]
   /// <summary>
   /// Represents the parameters and results of an algorithm run.
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IRunCollectionModifier.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IRunCollectionModifier.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IRunCollectionModifier.cs	(revision 16476)
@@ -22,7 +22,9 @@
 using System.Collections.Generic;
 using HeuristicLab.Core;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
-  public interface IRunCollectionModifier : IItem {    
+  [StorableType("55f41cc9-c77f-462b-8745-229572436aea")]
+  public interface IRunCollectionModifier : IItem {
     void Modify(List<IRun> runs);
   }
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISelector.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISelector.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISelector.cs	(revision 16476)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("af96bbae-d3ef-4b4b-96a7-248c400ad2b8")]
   /// <summary>
   /// An interface which represents a selection operator.
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISelfAdaptiveManipulator.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISelfAdaptiveManipulator.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISelfAdaptiveManipulator.cs	(revision 16476)
@@ -22,6 +22,8 @@
 using System;
 using HeuristicLab.Core;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("f1f8ad5b-0b8c-4f75-81ea-f45133e8bd6b")]
   /// <summary>
   /// An interface which represents an operator for manipulating solutions, given a strategy parameter.
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISimilarityBasedOperator.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISimilarityBasedOperator.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISimilarityBasedOperator.cs	(revision 16476)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("84f50ceb-5d6b-492e-a50b-b52ca5a34721")]
   public interface ISimilarityBasedOperator : IOperator {
     IConstrainedValueParameter<ISolutionSimilarityCalculator> SimilarityCalculatorParameter { get; }
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleMoveGenerator.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleMoveGenerator.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleMoveGenerator.cs	(revision 16476)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HEAL.Fossil;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Optimization {
+  [StorableType("90055ffa-8821-41af-9dbb-3a56fa251f23")]
   public interface ISingleMoveGenerator : IMoveGenerator, ISingleObjectiveOperator {
   }
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveEvaluator.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveEvaluator.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveEvaluator.cs	(revision 16476)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("7c3cd846-3768-4ebe-816a-2925a92234de")]
   /// <summary>
   /// An interface which represents an evaluation operator for single-objective optimization problems.
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveHeuristicOptimizationProblem.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveHeuristicOptimizationProblem.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveHeuristicOptimizationProblem.cs	(revision 16476)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("66df61d0-dd00-4f9a-b488-04ad328591d4")]
   /// <summary>
   /// An interface to represent a single-objective optimization problem.
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveImprovementOperator.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveImprovementOperator.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveImprovementOperator.cs	(revision 16476)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("0b9d5c35-7879-46e0-9fd4-36dd104ccde7")]
   /// <summary>
   /// An interface which represents an operator for improvement of a single objective solution.
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveMoveEvaluator.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveMoveEvaluator.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveMoveEvaluator.cs	(revision 16476)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("7b7380ef-b2ae-465b-8262-86e0456c0c51")]
   public interface ISingleObjectiveMoveEvaluator : IOperator, ISingleObjectiveOperator {
     ILookupParameter<DoubleValue> QualityParameter { get; }
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveOperator.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveOperator.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveOperator.cs	(revision 16476)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HEAL.Fossil;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Optimization {
+  [StorableType("365f0117-1f29-4bc2-8a76-4ee5676306a4")]
   /// <summary>
   /// This is only a marker interface to prevent operators that expect to work with a single quality value
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectivePathRelinker.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectivePathRelinker.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectivePathRelinker.cs	(revision 16476)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("24f05bfd-6a59-4582-ab83-69bea7e8c46f")]
   /// <summary>
   /// An interface which represents an operator for path relinking between single objective solutions.
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveReplacer.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveReplacer.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveReplacer.cs	(revision 16476)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("6d0a0999-97c2-4716-a2d5-6a28f305cbdd")]
   /// <summary>
   /// An interface which represents a replacement operator for replacing solutions of single-objective optimization problems.
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveSelector.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveSelector.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveSelector.cs	(revision 16476)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("242d4dc6-e31b-4058-afea-f3d95b44a94a")]
   /// <summary>
   /// An interface which represents a selection operator for selecting solutions of single-objective optimization problems.
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveSolutionSimilarityCalculator.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveSolutionSimilarityCalculator.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveSolutionSimilarityCalculator.cs	(revision 16476)
@@ -21,4 +21,5 @@
 
 using System;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
@@ -30,4 +31,5 @@
   /// </summary>
   [Obsolete("use HeuristicLab.Optimization.ISolutionSimilarityCalculator instead")]
+  [StorableType("fcb57383-313f-4f7f-8c36-1043718c4eb8")]
   public interface ISingleObjectiveSolutionSimilarityCalculator : ISolutionSimilarityCalculator, ISingleObjectiveOperator {
 
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISolutionCreator.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISolutionCreator.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISolutionCreator.cs	(revision 16476)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("f9bb063d-383f-4d29-936e-ae4fa9ebc10f")]
   /// <summary>
   /// An interface which represents an operator for creating new solutions.
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISolutionSimilarityCalculator.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISolutionSimilarityCalculator.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISolutionSimilarityCalculator.cs	(revision 16476)
@@ -22,6 +22,8 @@
 using System.Collections.Generic;
 using HeuristicLab.Core;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("03699efd-c957-4109-ad18-f98f6748bd91")]
   /// <summary>
   /// An interface which represents an operator for similarity calculation.
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IStochasticOperator.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IStochasticOperator.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IStochasticOperator.cs	(revision 16476)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("5c2b3d60-4e03-4560-89cd-7ff64e9ee947")]
   /// <summary>
   /// An interface which represents a stochastic operator.
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterCreator.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterCreator.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterCreator.cs	(revision 16476)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("a3bd30cc-c3a6-485c-b7d2-c38c284d48df")]
   public interface IStrategyParameterCreator : IOperator {
   }
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterCrossover.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterCrossover.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterCrossover.cs	(revision 16476)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("9316a808-6d41-4ec4-834c-bd5e4e3e893f")]
   public interface IStrategyParameterCrossover : IOperator {
   }
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterManipulator.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterManipulator.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterManipulator.cs	(revision 16476)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("e4540007-1ed4-4e0a-9292-2a1ffda9d0ac")]
   public interface IStrategyParameterManipulator : IOperator {
   }
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISubScopesQualityComparator.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISubScopesQualityComparator.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISubScopesQualityComparator.cs	(revision 16476)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("8efcf623-6ea3-4010-a7b2-d3788b8648d1")]
   public interface ISubScopesQualityComparator {
     ILookupParameter<DoubleValue> LeftSideParameter { get; }
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISwarmUpdater.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISwarmUpdater.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ISwarmUpdater.cs	(revision 16476)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("cb751cac-1ba7-42c3-87a3-cb1bf0d13add")]
   public interface ISwarmUpdater : IOperator {
     IScopeTreeLookupParameter<DoubleValue> QualityParameter { get; }
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ITabuChecker.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ITabuChecker.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ITabuChecker.cs	(revision 16476)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("39ea082e-0295-47c1-b07d-d37d87f53677")]
   public interface ITabuChecker : IOperator {
     ILookupParameter<BoolValue> MoveTabuParameter { get; }
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ITabuMaker.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ITabuMaker.cs	(revision 16475)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Optimization/3.3/Interfaces/ITabuMaker.cs	(revision 16476)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Optimization {
+  [StorableType("d485cf6d-4062-46a1-9387-b75793ad9296")]
   public interface ITabuMaker : IOperator {
     ILookupParameter<DoubleValue> MoveQualityParameter { get; }
